""" Types of mode a view can be in and their masks. """
VI = 0
INSERT = 1
OVERWRITE = 2
SELECT = 4
SELBYLINE = 8
SELRECT = 12
READONLY = 16
UNMODIFIABLE = 32
RECORDING = 64
INSERT_MASK = 3
SELECT_MASK = 12
RO_MASK = 48

def sel_but_not_rect(mo):
    mo &= SELECT_MASK
    return mo and mo != SELRECT
